import { ControllerDefinition, KuzzleRequest } from "kuzzle";
import { DecodersRegister } from "./DecodersRegister";
import { PayloadService } from "./PayloadService";
import { ApiPayloadReceiveUnkownResult } from "./types/PayloadApi";
export declare class PayloadsController {
    private payloadService;
    private decodersRegister;
    definition: ControllerDefinition;
    constructor(payloadService: PayloadService, decodersRegister: DecodersRegister);
    receiveUnknown(request: KuzzleRequest): Promise<ApiPayloadReceiveUnkownResult>;
}
