"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeasureModule = void 0;
const Module_1 = require("../shared/Module");
const MeasureService_1 = require("./MeasureService");
const RoleMeasuresAdmin_1 = require("./roles/RoleMeasuresAdmin");
const RoleMeasuresReader_1 = require("./roles/RoleMeasuresReader");
class MeasureModule extends Module_1.Module {
    async init() {
        this.measureService = new MeasureService_1.MeasureService(this.plugin);
        this.plugin.imports.roles[RoleMeasuresAdmin_1.RoleMeasuresAdmin.name] =
            RoleMeasuresAdmin_1.RoleMeasuresAdmin.definition;
        this.plugin.imports.roles[RoleMeasuresReader_1.RoleMeasuresReader.name] =
            RoleMeasuresReader_1.RoleMeasuresReader.definition;
    }
}
exports.MeasureModule = MeasureModule;
//# sourceMappingURL=MeasureModule.js.map