"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeasureValidationError = void 0;
const kuzzle_1 = require("kuzzle");
class MeasureValidationError extends kuzzle_1.KuzzleError {
    constructor(message, errors, id, code) {
        super(message, 400, id, code);
        this.errors = errors;
    }
    get name() {
        return "MeasureValidationError";
    }
    toJSON() {
        const json = super.toJSON();
        json.errors = this.errors;
        return json;
    }
}
exports.MeasureValidationError = MeasureValidationError;
//# sourceMappingURL=MeasureValidationError.js.map