"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEmbeddedMeasureMappings = void 0;
const getEmbeddedMeasureMappings = (valuesMappings) => ({
    properties: {
        measuredAt: { type: "date" },
        name: { type: "keyword" },
        payloadUuids: { type: "keyword" },
        type: { type: "keyword" },
        values: {
            properties: valuesMappings,
        },
        originId: { type: "keyword" },
    },
});
exports.getEmbeddedMeasureMappings = getEmbeddedMeasureMappings;
//# sourceMappingURL=getEmbeddedMeasureMappings.js.map