"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.positionMeasureDefinition = void 0;
exports.positionMeasureDefinition = {
    valuesMappings: {
        position: { type: "geo_point" },
        accuracy: { type: "float" },
        altitude: { type: "float" },
    },
    valuesDetails: {
        position: {
            en: {
                friendlyName: "Localization",
                unit: "(lat,lon)",
            },
            fr: {
                friendlyName: "Localisation",
                unit: "(lat,lon)",
            },
        },
        altitude: {
            en: {
                friendlyName: "Altitude",
                unit: "m",
            },
            fr: {
                friendlyName: "Altitude",
                unit: "m",
            },
        },
    },
};
//# sourceMappingURL=PositionMeasure.js.map