"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleMeasuresReader = void 0;
/**
 * This role allows to list measure models.
 *
 * It's a tenant role.
 *
 * @example
    "device-manager/models": {
      actions: {
        listMeasures: true,
        getMeasure: true,
      },
    },
 */
exports.RoleMeasuresReader = {
    name: "measures.reader",
    definition: {
        controllers: {
            "device-manager/models": {
                actions: {
                    listMeasures: true,
                    getMeasure: true,
                },
            },
        },
    },
};
//# sourceMappingURL=RoleMeasuresReader.js.map