"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeasuresNamesDuplicatesError = void 0;
const kuzzle_1 = require("kuzzle");
class MeasuresNamesDuplicatesError extends kuzzle_1.KuzzleError {
    constructor(message, duplicates, id, code) {
        super(message, 400, id, code);
        this.duplicates = duplicates;
    }
    get name() {
        return "MeasuresNamesDuplicatesError";
    }
    toJSON() {
        const json = super.toJSON();
        json.duplicates = this.duplicates;
        return json;
    }
}
exports.MeasuresNamesDuplicatesError = MeasuresNamesDuplicatesError;
//# sourceMappingURL=MeasuresNamesDuplicatesError.js.map