/// <reference types="node" />
/// <reference types="node" />
import { UUID } from "node:crypto";
import { AbstractExporter } from "./AbstractExporter";
export declare class DigitalTwinExporter extends AbstractExporter {
    protected exportRedisKey(engineId: string, exportId: string): string;
    protected getLink(engineId: string, exportId: UUID): string;
    sendExport(engineId: string, exportId: string): Promise<import("stream").PassThrough>;
    /**
     * Get the deduplicated Named Measures get from models
     */
    private getNamedMeasures;
    private generateMeasureColumns;
}
