import { JSONObject } from "kuzzle-sdk";
/**
 * Flatten an object transform:
 *
 * {
 *  title: "kuzzle",
 *  info : {
 *    tag: "news"
 *  }
 * }
 *
 * Into an object like:
 * {
 *  title: "kuzzle",
 *  info.tag: news
 * }
 *
 * @todo does not support correctly arrays
 *
 * @param target the object we have to flatten
 *
 * @returns the flattened object
 */
export declare function flattenObject(target: JSONObject): JSONObject;
