import { KDocument } from "kuzzle-sdk";
import { AssetContent, AssetMeasureContext } from "../types/AssetContent";
export declare class AssetSerializer {
    static id(model: string, reference: string): string;
    static serialize(asset: KDocument<AssetContent>): KDocument<AssetContent>;
    /**
     * Get asset description to contextualize measure data point
     */
    static measureContext(asset: KDocument<AssetContent>, measureName: string): AssetMeasureContext;
}
