"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleAssetsCreation = void 0;
/**
 * This role allows to create, update and delete an asset.
 *
 * It's a tenant role.
 *
 */
exports.RoleAssetsCreation = {
    definition: {
        controllers: {
            "device-manager/assets": {
                actions: {
                    create: true,
                    delete: true,
                    upsert: true,
                },
            },
        },
    },
    name: "assets.creation",
};
//# sourceMappingURL=RoleAssetsCreation.js.map