"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleDecodersAdmin = void 0;
/**
 * Role used to manage decoders and their payloads.
 *
 * It's a platform role.
 *
 * @example
    "device-manager/decoders": {
      actions: {
        "*": true,
      },
    },
 */
exports.RoleDecodersAdmin = {
    name: "decoders.admin",
    definition: {
        controllers: {
            "device-manager/decoders": {
                actions: {
                    "*": true,
                },
            },
        },
    },
};
//# sourceMappingURL=RoleDecodersAdmin.js.map