"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RolePayloadsAll = void 0;
/**
 * This role allows to receive any kind of payloads.
 *
@example
    "device-manager/payloads": {
      actions: {
        "*": true,
      },
    },
 */
exports.RolePayloadsAll = {
    name: "payloads.all",
    definition: {
        controllers: {
            "device-manager/payloads": {
                actions: {
                    "*": true,
                },
            },
        },
    },
};
//# sourceMappingURL=RolePayloadsAll.js.map