import { KuzzleRole } from "../../shared/types/KuzzleRole";
/**
 * This role allows to manage devices and also assign them to tenants.
 *
 * It's a platform role.
 *
 * @example
    "device-manager/devices": {
      actions: {
        "*": true,
      },
    },
    "device-manager/models": {
      actions: {
        deleteDevice: true,
        listDevices: true,
        getDevice: true,
        writeDevice: true,
      },
    },
 */
export declare const RoleDevicesPlatformAdmin: KuzzleRole;
