"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleDevicesCreation = void 0;
/**
 * This role allows to create, update and delete a device.
 *
 * It's a tenant role.
 *
 */
exports.RoleDevicesCreation = {
    definition: {
        controllers: {
            "device-manager/devices": {
                actions: {
                    create: true,
                    delete: true,
                    upsert: true,
                },
            },
        },
    },
    name: "devices.creation",
};
//# sourceMappingURL=RoleDevicesCreation.js.map