import { ErrorObject } from "ajv";
import { KuzzleError } from "kuzzle";
export interface MeasureValidationChunks {
    measureName: string;
    validationErrors: ErrorObject[];
}
export declare class MeasureValidationError extends KuzzleError {
    private errors;
    constructor(message: string, errors: MeasureValidationChunks[], id?: string, code?: number);
    get name(): string;
    toJSON(): import("kuzzle").JSONObject;
}
