import { KuzzleRole } from "../../shared/types/KuzzleRole";
/**
 * This role allows to list measure models.
 *
 * It's a tenant role.
 *
 * @example
    "device-manager/models": {
      actions: {
        listMeasures: true,
        getMeasure: true,
      },
    },
 */
export declare const RoleMeasuresReader: KuzzleRole;
