"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNamedMeasuresDuplicates = void 0;
const lodash_1 = __importDefault(require("lodash"));
function getNamedMeasuresDuplicates(measures) {
    const duplicates = [];
    const groups = lodash_1.default.groupBy(measures, (elt) => elt.name);
    for (const group in groups) {
        if (groups[group].length > 1) {
            duplicates.push(group);
        }
    }
    return duplicates;
}
exports.getNamedMeasuresDuplicates = getNamedMeasuresDuplicates;
//# sourceMappingURL=MeasuresDuplicates.js.map