"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelModule = void 0;
const Module_1 = require("../shared/Module");
const ModelsController_1 = require("./ModelsController");
const ModelService_1 = require("./ModelService");
class ModelModule extends Module_1.Module {
    async init() {
        this.modelService = new ModelService_1.ModelService(this.plugin);
        this.modelController = new ModelsController_1.ModelsController(this.modelService);
        this.plugin.api["device-manager/models"] = this.modelController.definition;
    }
}
exports.ModelModule = ModelModule;
//# sourceMappingURL=ModelModule.js.map